viralquery
API referencev1/workspace

Set the calling tenant's one app or website workspace

POST
/v1/workspace

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspace" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "outcome": "created",
  "workspace": {
    "id": "string",
    "subjectType": "app_store",
    "subjectUrl": "http://example.com",
    "canonicalId": "string",
    "name": "string",
    "status": "active",
    "rulesVersion": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "subscription_required",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}